Subject: Re: [PATCH netdev-2.6] jme: JMicron Gigabit Ethernet Driver

From: "Guo-Fu Tseng" <[email-masked]>
Date: Sat, 22 Nov 2008 00:22:14 +0800

On Fri, 21 Nov 2008 00:46:33 -0800 (PST), David Miller wrote
> From: Stephen Hemminger <[email-masked]>
> Date: Thu, 20 Nov 2008 22:45:42 -0800
> 
> > On Thu, 20 Nov 2008 21:36:27 -0800 (PST)
> > David Miller <[email-masked]> wrote:
> > 
> > > From: Stephen Hemminger <[email-masked]>
> > > Date: Thu, 20 Nov 2008 21:20:45 -0800
> > > 
> > > > 6. Not using pci dma allocation which is more standard convention
> > > 
> > > Using the generic DMA interfaces is actually preferred.  There is
> > > no effective difference other than using a more generic interface.
> > 
> > Ok, but this???
> 
> Yes, of course, all of those NAPI et al. abstraction macros have
> to go.
> 
> I was only commenting about the DMA bits, the rest of your
> criticism was on target.
Thank you for point those out.
This is my first driver, so I still have many things to learn.
I'll work on it. Any suggestion or help is very welcome!

Guo-Fu Tseng